- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# OSnLNodeProduct Class Reference

The OSnLNodeProduct Class. More...

`#include <OSnLNode.h>`

Inheritance diagram for OSnLNodeProduct:

[legend]
Collaboration diagram for OSnLNodeProduct:

[legend]
List of all members.

## Public Member Functions
| OSnLNodeProduct ()
| default constructor.
| ~OSnLNodeProduct ()
| default destructor.
virtual std::string | getTokenName ()
virtual double | calculateFunction (double *x)
virtual OSnLNode * | cloneOSnLNode ()
virtual double | constructADTape (std::map< int, int > *ADIdx, std::vector< double > *XAD)

## Detailed Description

The OSnLNodeProduct Class.

Author:
  Robert Fourer, Jun Ma, Kipp Martin,

Version:
  1.0, 10/05/2005

Since:
  OS1.0

Remarks:
  The in-memory representation of the OSnL element <product>

Definition at line 736 of file OSnLNode.h.

## Constructor & Destructor Documentation

OSnLNodeProduct::OSnLNodeProduct | ( |  | ) |

default constructor.

Definition at line 1015 of file OSnLNode.cpp.

References OSnLNode::inodeInt, and OSnLNode::inodeType.

Referenced by cloneOSnLNode().

OSnLNodeProduct::~OSnLNodeProduct | ( |  | ) |

default destructor.

Definition at line 1023 of file OSnLNode.cpp.

References OSnLNode::m_mChildren.

## Member Function Documentation

std::string OSnLNodeProduct::getTokenName | ( |  | ) | `[virtual]`

Returns:
  the value of operator name

Implements OSnLNode.

Definition at line 1037 of file OSnLNode.cpp.

double OSnLNodeProduct::calculateFunction | ( | double * | x | ) | `[virtual]`

Calculate the function value given the current variable values. This is an abstract method which is required to be implemented by the concrete operator nodes that derive or extend from this OSnLNode class.

Parameters:

  | x | holds the values of the variables in a double array.

Returns:
  the function value given the current variable values.

Implements OSnLNode.

Definition at line 1041 of file OSnLNode.cpp.

References OSnLNode::m_dFunctionValue, and OSnLNode::m_mChildren.

OSnLNode * OSnLNodeProduct::cloneOSnLNode | ( |  | ) | `[virtual]`

Create or clone a node of this type. This is an abstract method which is required to be implemented by the concrete operator nodes that derive or extend from this OSnLNode class.

Parameters:

  | x | holds the values of the variables in a double array.

Returns:
  the function value given the current variable values.

Implements OSnLNode.

Definition at line 1062 of file OSnLNode.cpp.

References OSnLNodeProduct().

virtual double OSnLNodeProduct::constructADTape | ( | std::map< int, int > * | ADIdx,
|  | std::vector< double > * | XAD |
| ) |  |  | `[virtual]`

Create the AD tape to be evaluated by AD. This is an abstract method which is required to be implemented by the concrete operator nodes that derive or extend from this OSnLNode class.

Returns:
  the expression tree.

Implements OSnLNode.

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSnLNode.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSnLNode.cpp